Subject: Re: bug#25349: 25.1.90; erc join -vs- passwords

From: Tom Tromey <[email-masked]>
Date: Mon, 09 Jan 2017 20:35:21 -0700

>>>>> "Tom" == Tom Tromey <[email-masked]> writes:

Tom> The appended works for me for both autojoin and explicit join.  I want
Tom> to check it in, but it would probably be good if someone more familiar
Tom> with ERC took a look at it.

Further testing revealed a bug.

The other day, at the end of the day, I did a /gquit in ERC.
Then, this morning, I reconnected.

Normally this causes ERC to associate the various channel buffers with
the new connection to the server.  However, with this patch in place,
this association did not occur and I was given a new buffer for each
channel (the old buffers being "closed").

I haven't tried debugging this any further yet.

Tom